Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Protected Attributes
Exception Class Reference

`#include <c++/src/H5Exception.h>`

## Detailed Description

Exception provides wrappers of HDF5 error handling functions.

Many classes are derived from Exception for specific HDF5 C interfaces.

Inheritance diagram for Exception:

## Public Member Functions
| Exception ()
| Exception (const Exception &orig)
| Exception (const std::string &func_name, const std::string &message=DEFAULT_MSG)
const char * | getCDetailMsg () const
const char * | getCFuncName () const
std::string | getDetailMsg () const
std::string | getFuncName () const
std::string | getMajorString (hid_t err_major_id) const
std::string | getMinorString (hid_t err_minor_id) const
virtual | ~Exception ()=default

## Static Public Member Functions
static void | clearErrorStack ()
static void | dontPrint ()
static void | getAutoPrint (H5E_auto2_t &func, void **client_data)
static void | printErrorStack (FILE *stream=stderr, hid_t err_stack=H5E_DEFAULT)
static void | setAutoPrint (H5E_auto2_t &func, void *client_data)
static void | walkErrorStack (H5E_direction_t direction, H5E_walk2_t func, void *client_data)

## Static Protected Attributes
static const char | DEFAULT_MSG []

## Constructor & Destructor Documentation

## ◆ Exception() [1/3]

Exception | ( | const std::string & | func_name,
|  | const std::string & | message = DEFAULT_MSG )

## ◆ Exception() [2/3]

Exception | ( |  | ) |

## ◆ Exception() [3/3]

Exception | ( | const Exception & | orig | ) |

## ◆ ~Exception()

virtual ~Exception | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ clearErrorStack()

static void clearErrorStack | ( |  | ) |
| static

## ◆ dontPrint()

static void dontPrint | ( |  | ) |
| static

## ◆ getAutoPrint()

static void getAutoPrint | ( | H5E_auto2_t & | func,
|  | void ** | client_data )
| static

## ◆ getCDetailMsg()

const char * getCDetailMsg | ( |  | ) | const

## ◆ getCFuncName()

const char * getCFuncName | ( |  | ) | const

## ◆ getDetailMsg()

std::string getDetailMsg | ( |  | ) | const

## ◆ getFuncName()

std::string getFuncName | ( |  | ) | const

## ◆ getMajorString()

std::string getMajorString | ( | hid_t | err_major_id | ) | const

## ◆ getMinorString()

std::string getMinorString | ( | hid_t | err_minor_id | ) | const

## ◆ printErrorStack()

static void printErrorStack | ( | FILE * | stream = stderr,
|  | hid_t | err_stack = H5E_DEFAULT )
| static

## ◆ setAutoPrint()

static void setAutoPrint | ( | H5E_auto2_t & | func,
|  | void * | client_data )
| static

## ◆ walkErrorStack()

static void walkErrorStack | ( | H5E_direction_t | direction,
|  | H5E_walk2_t | func,
|  | void * | client_data )
| static

## Field Documentation

## ◆ DEFAULT_MSG

const char DEFAULT_MSG[]
| static protected

The documentation for this class was generated from the following file:

- c++/src/H5Exception.h